DELETE FROM observations;
DELETE FROM points;

INSERT INTO points (point_name, geom) VALUES ('1230', ST_GeomFromEWKT('SRID=4326;POINT(19.054391 47.481882 104.517)'));
INSERT INTO points (point_name, geom) VALUES ('1743', ST_GeomFromEWKT('SRID=4326;POINT(19.056075 47.481518 104.833)'));
INSERT INTO points (point_name, geom) VALUES ('620', ST_GeomFromEWKT('SRID=4326;POINT(19.056516 47.480798 104.465)'));
INSERT INTO points (point_name, geom) VALUES ('861', ST_GeomFromEWKT('SRID=4326;POINT(19.056045 47.480523 104.336)'));

INSERT INTO observations (point_name, date, x, y, z)
SELECT '1230', date(now())-t,
	19.054391 + (random() * 10.0 - 5.0) * 1E-6,
	47.481882 + (random() * 10.0 - 5.0) * 1E-6,
	104.517 - ((t / 2.0) + random() * 6.0 - 3.0) * 1E-3
	FROM generate_series(1,30) as s(t);

INSERT INTO observations (point_name, date, x, y, z)
SELECT '1743', date(now())-t,
	19.056075 + (random() * 10.0 - 5.0) * 1E-6,
	47.481518 + (random() * 10.0 - 5.0) * 1E-6,
	104.833 - ((t / 2.0) + random() * 6.0 - 3.0) * 1E-3
	FROM generate_series(1,30) as s(t);

INSERT INTO observations (point_name, date, x, y, z)
SELECT '620', date(now())-t,
	19.056516 + (random() * 10.0 - 5.0) * 1E-6,
	47.480798 + (random() * 10.0 - 5.0) * 1E-6,
	104.465 - ((t / 2.0) + random() * 6.0 - 3.0) * 1E-3
	FROM generate_series(1,30) as s(t);

INSERT INTO observations (point_name, date, x, y, z)
SELECT '861', date(now())-t,
	19.056045 + (random() * 10.0 - 5.0) * 1E-6,
	47.480523 + (random() * 10.0 - 5.0) * 1E-6,
	104.336 - ((t / 2.0) + random() * 6.0 - 3.0) * 1E-3
	FROM generate_series(1,30) as s(t);
